about summary refs log tree commit diff
path: root/build-arm-images.sh.in
diff options
context:
space:
mode:
authorJuan RP <xtraeme@gmail.com>2014-12-15 19:28:57 +0100
committerJuan RP <xtraeme@gmail.com>2014-12-15 19:28:57 +0100
commit41cf1e06d070fa59a492b1d309ab80948067805d (patch)
tree294e0999753f9909ab4fd842a139f467d41aa658 /build-arm-images.sh.in
parent8e0080b720e92225bc6aa035cb803b75cffedb20 (diff)
downloadhrmpf-41cf1e06d070fa59a492b1d309ab80948067805d.tar.gz
hrmpf-41cf1e06d070fa59a492b1d309ab80948067805d.tar.xz
hrmpf-41cf1e06d070fa59a492b1d309ab80948067805d.zip
New script to build ARM rootfs/images.
Diffstat (limited to 'build-arm-images.sh.in')
-rw-r--r--build-arm-images.sh.in11
1 files changed, 11 insertions, 0 deletions
diff --git a/build-arm-images.sh.in b/build-arm-images.sh.in
new file mode 100644
index 0000000..399baf2
--- /dev/null
+++ b/build-arm-images.sh.in
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+date=$(date '+%Y%m%d')
+
+for f in beaglebone cubieboard2 odroid-u2 rpi; do
+	./mkrootfs.sh $f
+	./mkimage.sh void-${f}-rootfs-${date}.tar.xz
+	pixz -9 void-${f}-${date}.img
+done